Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net.puretls
Class PureTLSSocket

    java.lang.Object
      java.net.Socket
          COM.claymoresystems.ptls.SSLSocket
              org.apache.tomcat.util.net.puretls.PureTLSSocket

All Implemented Interfaces:
  COM.claymoresystems.sslg.SSLSocketXInt

public class PureTLSSocket
extends COM.claymoresystems.ptls.SSLSocket

Field Summary

Fields inherited from interface COM.claymoresystems.sslg.SSLSocketXInt
`CLIENT, SERVER`

Constructor Summary
`PureTLSSocket()`

Methods inherited from class COM.claymoresystems.ptls.SSLSocket
`_stompOutputStream, close, getCertificateChain, getCipherSuite, getInputStream, getOutputStream, getPolicy, getSessionID, getVersion, handshake, hardClose, main, renegotiate, renegotiate, sendClose, toString, waitForClose`

Methods inherited from class java.net.Socket
`bind, connect, connect, getChannel, getInetAddress, getKeepAlive, getLocalAddress, getLocalPort, getLocalSocketAddress, getOOBInline, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setKeepAlive, setOOBInline, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSocketImplFactory, setSoLinger, setSoTimeout, setTcpNoDelay, setTrafficClass, shutdownInput, shutdownOutput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PureTLSSocket

    public PureTLSSocket()
                  throws java.io.IOException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.